com.google.cloud.dataflow.examples.cookbook

## Interface DatastoreWordCount.Options

All Superinterfaces:
  HasDisplayData, PipelineOptions

Enclosing class:
  DatastoreWordCount

    public static interface DatastoreWordCount.Options
    extends PipelineOptions

Options supported by `DatastoreWordCount`.

Inherits standard configuration options.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDataset()`
`String` `getInput()`
`String` `getKind()`
`String` `getNamespace()`
`int` `getNumShards()`
`String` `getOutput()`
`boolean` `isReadOnly()`
`void` `setDataset(String value)`
`void` `setInput(String value)`
`void` `setKind(String value)`
`void` `setNamespace(String value)`
`void` `setNumShards(int value)`
`void` `setOutput(String value)`
`void` `setReadOnly(boolean value)`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Method Detail

#### getInput

    @Default.String(value="gs://dataflow-samples/shakespeare/kinglear.txt")
    String getInput()

#### setInput

    void setInput(String value)

#### getOutput

    @Validation.Required
    String getOutput()

#### setOutput

    void setOutput(String value)

#### getDataset

    @Validation.Required
    String getDataset()

#### setDataset

    void setDataset(String value)

#### getKind

    @Default.String(value="shakespeare-demo")
    String getKind()

#### setKind

    void setKind(String value)

#### getNamespace

    String getNamespace()

#### setNamespace

    void setNamespace(@Nullable
                      String value)

#### isReadOnly

    boolean isReadOnly()

#### setReadOnly

    void setReadOnly(boolean value)

#### getNumShards

    @Default.Integer(value=0)
    int getNumShards()

#### setNumShards

    void setNumShards(int value)